/*
  Copyright (c) 2003-2004, AXE, Inc.  All rights reserved.

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  59 Temple Place, Suite 330, Boston, MA, 02111-1307.

*/

#ifndef _OPVP_RPC_CLIENT_H_
#define _OPVP_RPC_CLIENT_H_

#include "bidiPlugin.h"

/* private function prototyoes */
/* API Client Stub functions */

extern int CStubBidiStartRead(void *rpcHandle, BidiReadMode idReadMode,
  char *pLang);
extern int CStubBidiRead(void *rpcHandle, void *pBuf, int nBufBytes);
extern int CStubBidiEndRead(void *rpcHandle);
extern int CStubBidiCtrl(void *rpcHandle, int idRequest,
  void *pdata, int nDataBytes);

#endif /* _OPVP_RPC_CLIENT_H_ */
