/*
 *  OpenPrinting Vector Printer Driver for Canon Pixus850i
 *  Copyright (c) 2004 E&D Inc.
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/

/* $Revision: 1.2 $ */

#ifndef _BJPDRAW_H
#define _BJPDRAW_H

#include "cncl.h"
#include "cnclucom.h"

#include "bjp_defs.h"
#include "bjp_conf.h"
#include "bjp_context.h"

void bjp_OutCmd(CPKByte *, CPKUInt32, int);
int bjp_StartDrawImage(BJPContext *, int, int, int);
int bjp_TransferDrawImage(BJPContext *, int, void *);
int bjp_EndDrawImage(BJPContext *);

#endif /* _BJPDRAW_H */
