/**
 * @file entryPrtLocalization.h
 * @breaf functions of EntryPrtLocalization object.
 * @date $Date: 2004/02/18 20:48:05 $
 * @version 1.0.0
   copyright            : (C) 2004 by Turbolinux,Inc.

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation;                            * 
 *                                                                         *
 ***************************************************************************/

#ifndef ENTRY_PRTLOCALIZATION_H
#define ENTRY_PRTLOCALIZATION_H

#include <bidiTypes.h>

#ifdef __cplusplus
extern "C" {
#endif

  /**
   * The structure that containing the PrtLocalizatonEntry messages.
   *
   * @struct EntryPrtLocalization.
   */
  typedef struct {
    OSTRING *PrtLocLang;    /**< PrtLocalizationLanguage message. */
    CCHARSET PrtLocCharSet; /**< PrtLocalizationCharacterSet message. */
  } EntryPrtLocalization;
  
#ifdef __cplusplus
}
#endif

#endif
